Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::RequestProcessingPolicy_var Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::RequestProcessingPolicy_var:

[legend]
Collaboration diagram for PortableServer::RequestProcessingPolicy_var:

[legend]
List of all members.

## Public Methods
| RequestProcessingPolicy_var (void)
| RequestProcessingPolicy_var (RequestProcessingPolicy_ptr p)
| RequestProcessingPolicy_var (const RequestProcessingPolicy_var &)
| ~RequestProcessingPolicy_var (void)
RequestProcessingPolicy_var & | operator= (RequestProcessingPolicy_ptr)
RequestProcessingPolicy_var & | operator= (const RequestProcessingPolicy_var &)
RequestProcessingPolicy_ptr | operator-> (void) const
| operator const RequestProcessingPolicy_ptr & () const
| operator RequestProcessingPolicy_ptr & ()
RequestProcessingPolicy_ptr | in (void) const
RequestProcessingPolicy_ptr & | inout (void)
RequestProcessingPolicy_ptr & | out (void)
RequestProcessingPolicy_ptr | _retn (void)
RequestProcessingPolicy_ptr | ptr (void) const
## Static Public Methods
RequestProcessingPolicy_ptr | tao_duplicate (RequestProcessingPolicy_ptr)
void | tao_release (RequestProcessingPolicy_ptr)
RequestProcessingPolicy_ptr | tao_nil (void)
RequestProcessingPolicy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| RequestProcessingPolicy_var (const TAO_Base_var &rhs)
RequestProcessingPolicy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
RequestProcessingPolicy_ptr | ptr_

## Constructor & Destructor Documentation

PortableServer::RequestProcessingPolicy_var::RequestProcessingPolicy_var | ( | void |  | ) |

PortableServer::RequestProcessingPolicy_var::RequestProcessingPolicy_var | ( | RequestProcessingPolicy_ptr | p | ) | `[inline]`

PortableServer::RequestProcessingPolicy_var::RequestProcessingPolicy_var | ( | const RequestProcessingPolicy_var & |  | ) |

PortableServer::RequestProcessingPolicy_var::~RequestProcessingPolicy_var | ( | void |  | ) |

PortableServer::RequestProcessingPolicy_var::RequestProcessingPolicy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::_retn | ( | void |  | ) |

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::in | ( | void |  | ) | const

RequestProcessingPolicy_ptr& PortableServer::RequestProcessingPolicy_var::inout | ( | void |  | ) |

PortableServer::RequestProcessingPolicy_var::operator const RequestProcessingPolicy_ptr & | ( |  | ) | const

PortableServer::RequestProcessingPolicy_var::operator RequestProcessingPolicy_ptr & | ( |  | ) |

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::operator-> | ( | void |  | ) | const

RequestProcessingPolicy_var& PortableServer::RequestProcessingPolicy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

RequestProcessingPolicy_var& PortableServer::RequestProcessingPolicy_var::operator= | ( | const RequestProcessingPolicy_var & |  | ) |

PortableServer::RequestProcessingPolicy_var & PortableServer::RequestProcessingPolicy_var::operator= | ( | RequestProcessingPolicy_ptr | p | ) |

RequestProcessingPolicy_ptr& PortableServer::RequestProcessingPolicy_var::out | ( | void |  | ) |

PortableServer::RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::ptr | ( | void |  | ) | const

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::tao_duplicate | ( | RequestProcessingPolicy_ptr |  | ) | `[static]`

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::tao_nil | ( | void |  | ) | `[static]`

void PortableServer::RequestProcessingPolicy_var::tao_release | ( | RequestProcessingPolicy_ptr |  | ) | `[static]`

CORBA::Object* PortableServer::RequestProcessingPolicy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

RequestProcessingPolicy_ptr PortableServer::RequestProcessingPolicy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp